{
open Parser
}
let space = [ '\n' ' ' '\t' ]
let digit = [ '0' - '9' ]
let alpha = [ 'a' - 'z' 'A' - 'Z']
let alphanum = ( digit | alpha )

rule token = parse
	digit + {Int}
       | '+'    {PLUS}
       | '*'    {TIMES}
       | '('    {LPAR}
       | ')'    {RPAR}
       | space  {token lexbuf;}
       | _      {failwith "Caractere non permis"}
       | eof    {Eof}

{
}
